# Configuration file

unifier {
    # Allowed oreDictionary Prefixes [default: [ore], [block], [ingot], [nugget], [gem], [dust]]
    S:allowedPrefixes <
        ore
        block
        ingot
        nugget
        gem
        dust
     >

    # Disallowed item Ids: Use f3+h in your client to see item ids [default: [minecraft:wool], [TConstruct:oreBerries]]
    S:disallowedIds <
        minecraft:wool
        TConstruct:oreBerries
     >

    # Disallowed oreDictionary names: Use f3+h in your client WITH THE MOD to see oreDict names [default: [blockGlass]]
    S:disallowedNames <
        blockGlass
		blockGlassHardened
		blockGlassHardenedIlluminated
        blockQuartz
        gemQuartz
        quartzDark
        crystalNetherQuartz
     >

    # Enables unification in other inventories accessed by player. IE: Player opening a chest, now unifies contents of chest. [default: true]
    B:inOtherInventoryEnable=true

    # Enables unification in player inventory. [default: true]
    B:inPlayerInventoryEnable=true

    # Enables unification in tile entities (chests, etc) on world tick. #WARNING# Can possibly cause lag if lots of chests are around. [default: false]
    B:inTileEntityEnable=false

    # Enables unification on block drops. IE: mining a block [default: true]
    B:onBlockHarvestEnable=true

    # Enables unification on chunk load. #WARNING#, can cause lag! Only enable to unify blocks in the world that have already been places/generated [default: false]
    B:onChunkLoadEnable=false

    # Enables unification when items are picked up. [default: true]
    B:onItemPickupEnable=true

    # Enables unification when a player drops items. [default: true]
    B:onItemTossEnable=true

    # Enables unification on living entity drops. IE: player and mob deaths [default: true]
    B:onLivingDropsEnable=true

    # Mods with priority high enough to be specified above [default: [minecraft], [TConstruct], [ThermalFoundation], [ThermalExpansion]]
    S:priorityModIds <
        ThermalFoundation
        ThermalExpansion
        minecraft
        IC2
        appliedenergistics2
        Thaumcraft
        TConstruct
     >
}


